Criar histórico da tarefa
Criar histórico da tarefa. Consulte abaixo parâmetros, corpo da requisição e respostas definidos no contrato OpenAPI.
POST
/FlowTaskHistoryCriar histórico da tarefa. Consulte abaixo parâmetros, corpo da requisição e respostas definidos no contrato OpenAPI.
Autenticação
Autenticação obrigatória. Envie sua chave de API de usuário no header X-API-Key.
Parâmetros
Esta operação não possui parâmetros de rota, query ou header.
Corpo da requisição
Content type: application/json · Schema: FlowTaskHistoryDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
id | integer · int32 | Não | — | — |
flowTaskId | integer · int32 | Não | — | — |
eventType | FlowTaskHistoryEventType | Não | — | — |
fromFlowStageId | integer · int32 | Não | — | aceita null |
toFlowStageId | integer · int32 | Não | — | aceita null |
userId | integer · int32 | Não | — | aceita null |
agentId | integer · int32 | Não | — | aceita null |
description | string | Não | — | aceita null |
payload | string | Não | — | aceita null |
createdAt | string · date-time | Não | — | aceita null |
Exemplo de requisição
curl --request POST \
--url 'https://api.zild.ai/FlowTaskHistory' \
--header 'X-API-Key: YOUR_USER_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"id": 0,
"flowTaskId": 0,
"eventType": 0,
"fromFlowStageId": 0,
"toFlowStageId": 0,
"userId": 0,
"agentId": 0,
"description": "string",
"payload": "string",
"createdAt": "2026-09-22T18:00:00Z"
}'
Respostas
| Status | Descrição | Corpo da resposta |
|---|---|---|
200 | OK | Nenhum corpo de resposta está definido. |
Modelos de dados
FlowTaskHistoryDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
id | integer · int32 | Não | — | — |
flowTaskId | integer · int32 | Não | — | — |
eventType | FlowTaskHistoryEventType | Não | — | — |
fromFlowStageId | integer · int32 | Não | — | aceita null |
toFlowStageId | integer · int32 | Não | — | aceita null |
userId | integer · int32 | Não | — | aceita null |
agentId | integer · int32 | Não | — | aceita null |
description | string | Não | — | aceita null |
payload | string | Não | — | aceita null |
createdAt | string · date-time | Não | — | aceita null |
FlowTaskHistoryEventType
0 = Created; 1 = StageChanged; 2 = Assigned; 3 = Completed; 4 = Rejected; 5 = Reopened; 6 = Commented; 7 = ExecutedByAgent; 8 = EscalatedToHuman; 9 = ExecutionFailed
integer